/*
 * Person.cpp
 *
 *  Created on: 18/mar/2015
 *      Author: studente
 */

#include "Person.h"

#include <iostream>

Person::Person() : name("Mario"), eng(false) {
	// more complex setup instructions
}

Person::Person(std::string n, bool e)  : name(n), eng(e) {
	// more complex setup instructions
}

void Person::setName(std::string n) {
	name = n;
}

std::string Person::getName() {
	return name;
}

void Person::greet() {
	if (eng)
		std::cout << "Hello ";
	else
		std::cout << "Ciao ";
	std::cout << name << std::endl;
}

bool Person::isEng() {
	return eng;
}

void Person::setEng(bool eng) {
	this->eng = eng;
}
